rem -t rotate - selected task "rotate"
rem -in  - input file 
rem -out - output file 
rem -ns 1 - list of skipped pages
rem -dr L - to the Left rotation
rem -or L - rotate only Landscape pages
rem -ps a4 - rotate only A4 pages

rem Rotate A4 Landscape pages to Left 
%~dp0..\..\tpdf.exe -t rotate -in Sample2.pdf -out result_Sample2.3_tmp1.pdf -ns - -dr L  -or L  -ps a4 

rem Rotate A3 Portrait pages to Right
%~dp0..\..\tpdf.exe -t rotate -in result_Sample2.3_tmp1.pdf -out result_Sample2.3_tmp2.pdf -ns - -dr R  -or P  -ps a3 

rem Set page number, start numbering from 2-nd page with 1
rem see result file "result_sample2.3.pdf"
%~dp0..\..\tpdf.exe -t stamp -in result_Sample2.3_tmp2.pdf -out _result_sample2.3.pdf -x 32 -y 25 -pa TR -ns 1 -off -1 -font "Courier New Bold Italic" -fs 9 -align 0

rem delete tem files
del result_Sample2.3_tmp1.pdf
del result_Sample2.3_tmp2.pdf